<?xml version="1.0" encoding="utf-8" ?>
<!DOCTYPE chapter SYSTEM "chapter.dtd">

<chapter>
  <header>
    <copyright>
      <year>1999</year><year>2016</year>
      <holder>Ericsson AB. All Rights Reserved.</holder>
    </copyright>
    <legalnotice>
      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at
 
          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.

    </legalnotice>

    <title>cosEvent Release Notes</title>
    <prepared></prepared>
    <responsible></responsible>
    <docno></docno>
    <approved></approved>
    <checked></checked>
    <date>99-02-12</date>
    <rev>A</rev>
    <file>notes.xml</file>
  </header>

  <section><title>cosEvent 2.2</title>

    <section><title>Improvements and New Features</title>
      <list>
        <item>
	    <p> Remove the usage of erlang:now() from all Corba
	    applications and use the new rand module instead of
	    random. </p>
          <p>
	    Own Id: OTP-12687</p>
        </item>
      </list>
    </section>

</section>

<section><title>cosEvent 2.1.15</title>

    <section><title>Improvements and New Features</title>
      <list>
        <item>
	    <p> The default encoding of Erlang files has been changed
	    from ISO-8859-1 to UTF-8. </p> <p> The encoding of XML
	    files has also been changed to UTF-8. </p>
          <p>
	    Own Id: OTP-10907</p>
        </item>
      </list>
    </section>

</section>

<section><title>cosEvent 2.1.14</title>

    <section><title>Improvements and New Features</title>
      <list>
        <item>
	    <p> Postscript files no longer needed for the generation
	    of PDF files have been removed. </p>
          <p>
	    Own Id: OTP-11016</p>
        </item>
      </list>
    </section>

</section>

<section><title>cosEvent 2.1.13</title>

    <section><title>Improvements and New Features</title>
      <list>
        <item>
          <p>
	    Misc build updates</p>
          <p>
	    Own Id: OTP-10784</p>
        </item>
      </list>
    </section>

</section>

<section><title>cosEvent 2.1.12</title>

    <section><title>Improvements and New Features</title>
      <list>
        <item>
	    <p>Erlang/OTP can now be built using parallel make if you
	    limit the number of jobs, for instance using '<c>make
	    -j6</c>' or '<c>make -j10</c>'. '<c>make -j</c>' does not
	    work at the moment because of some missing
	    dependencies.</p>
          <p>
	    Own Id: OTP-9451</p>
        </item>
      </list>
    </section>

</section>

<section>
    <title>cosEvent 2.1.11</title>

    <section>
      <title>Improvements and New Features</title>
      <list type="bulleted">
        <item>
          <p>
            Removed superfluous usage of shy in the documentation since it can cause problem if
            a buggy tool is used.</p>
          <p>
            Own Id: OTP-9319 Aux Id:</p>
        </item>
      </list>
    </section>
  </section>

  <section>
    <title>cosEvent 2.1.10</title>

    <section>
      <title>Improvements and New Features</title>
      <list type="bulleted">
        <item>
          <p>
            Eliminated Dialyzer warnings when using exit or throw.</p>
          <p>
            Own Id: OTP-9050 Aux Id:</p>
        </item>
      </list>
    </section>
  </section>

  <section>
    <title>cosEvent 2.1.9</title>

    <section>
      <title>Improvements and New Features</title>
      <list type="bulleted">
        <item>
          <p>
            Test suites published.</p>
          <p>
            Own Id: OTP-8543 Aux Id:</p>
        </item>
      </list>
    </section>
  </section>

  <section>
    <title>cosEvent 2.1.8</title>

    <section>
      <title>Improvements and New Features</title>
      <list type="bulleted">
        <item>
          <p>
            Removed the usage of the codeinclude tag in the documentation.</p>
          <p>
            Own Id: OTP-8409 Aux Id:</p>
        </item>
      </list>
    </section>
  </section>

  <section>
    <title>cosEvent 2.1.7</title>

    <section>
      <title>Improvements and New Features</title>
      <list type="bulleted">
        <item>
          <p>
            The documentation is now built with open source tools (xsltproc and fop) 
            that exists on most platforms. One visible change is that the frames are removed.</p>
          <p>
            Own Id: OTP-8201 Aux Id:</p>
        </item>
      </list>
    </section>
  </section>

  <section>
    <title>cosEvent 2.1.6</title>

    <section>
      <title>Improvements and New Features</title>
      <list type="bulleted">
        <item>
          <p>Obsolete guards, e.g. record vs is_record, has been changed
             to avoid compiler warnings.</p>
          <p>Own id: OTP-7987</p>
        </item>
      </list>
    </section>
  </section>

  <section>
    <title>cosEvent 2.1.5</title>

    <section>
      <title>Improvements and New Features</title>
      <list type="bulleted">
        <item>
          <p>Updated file headers.</p>
          <p>Own id: OTP-7837</p>
        </item>
      </list>
    </section>
  </section>

  <section>
    <title>cosEvent 2.1.4</title>

    <section>
      <title>Improvements and New Features</title>
      <list type="bulleted">
        <item>
          <p>Documentation source included in open source releases.</p>
          <p>Own id: OTP-7595</p>
        </item>
      </list>
    </section>
  </section>

  <section>
    <title>cosEvent 2.1.3</title>

    <section>
      <title>Improvements and New Features</title>
      <list type="bulleted">
        <item>
          <p>Updated file headers.</p>
          <p>Own id: OTP-7011</p>
        </item>
      </list>
    </section>
  </section>

  <section>
    <title>cosEvent 2.1.2</title>

    <section>
      <title>Improvements and New Features</title>
      <list type="bulleted">
        <item>
          <p>The documentation source has been converted from SGML to XML.</p>
          <p>Own id: OTP-6754</p>
        </item>
      </list>
    </section>
  </section>

  <section>
    <title>cosEvent 2.1.1</title>

    <section>
      <title>Improvements and New Features</title>
      <list type="bulleted">
        <item>
          <p>Minor Makefile changes.</p>
          <p>Own id: OTP-6701</p>
        </item>
      </list>
    </section>
  </section>

  <section>
    <title>cosEvent 2.1</title>

    <section>
      <title>Improvements and New Features</title>
      <list type="bulleted">
        <item>
          <p>The stub/skeleton-files generated by IC have been improved,
            i.e., depending on the IDL-files, reduced the size of the
            erl- and beam-files and decreased dependencies off Orber's
            Interface Repository. It is necessary to re-compile all IDL-files
            and use COS-applications, including Orber, compiled with
            IC-4.2.</p>
          <p>Own id: OTP-4576</p>
        </item>
      </list>
    </section>
  </section>

  <section>
    <title>cosEvent 2.0</title>

    <section>
      <title>Fixed Bugs and Malfunctions</title>
      <list type="bulleted">
        <item>
          <p>This version is a completely new version of the cosEvent 
            application; older versions was <em>not</em> compliant with the OMG
            specification. The <c><![CDATA[look and feel]]></c> have been changed
            to be more uniform with the other COS-services.</p>
        </item>
      </list>
    </section>
  </section>
</chapter>

